var Player = function(num) {
	
	this.x = 0;
	this.y = 0;
	
	this.offsetX = 0;
	this.offsetY = 0;
	
	this.rotation = 0;
	this.scale = 1;
	this.radius = 0;
	
	if (num == 1) {
		
		this.image = images["assets/frog_body.png"];
		this.pointer = images["assets/frog_eye.png"];
	}
	else {
		
		this.image = images["assets/frog_body_2.png"];
		this.pointer = images["assets/frog_eye_2.png"];
	}
	
	this.pupil = images["assets/frog_pupil.png"];
	
	this.pointerX = 0;
	this.pointerY = 0;
	
	this.dir = new Vector2D(0, -1);
	this.lastDir = new Vector2D(0, -1);
	
	this.isPressed = false;
	this.isAlive = true;
	this.visible = true;
	
	target = this;
}

Player.prototype = {
	
	init : function() {
		
		
	},
	
	getX : function() {
		
		return this.x + this.offsetX;
	},
	
	getY : function() {
		
		return this.y + this.offsetY;
	},
	
	setScale : function(s) {
		
		this.scale = s;
		
		this.offsetX = (this.image.width * this.scale) * -0.5;
		this.offsetY = this.offsetX;
		
		this.radius = -this.offsetX;
	},
	
	click : function(mx, my) {
		
		
	},
	
	draw : function() {
		
		if (this.visible) {
		
			this.pointerX = (this.x - this.pointer.width * 0.5) + (this.dir.x * 20 * this.scale);
			this.pointerY = (this.y - this.pointer.height * 0.5) + (this.dir.y * 20 * this.scale);
			
			var pupilOffset = ((this.pointer.width - this.pupil.width) / 2) * this.scale;
			
			context2D.drawImage(this.image, (this.x + this.offsetX) * scale, (this.y + this.offsetY) * scale, this.image.width * this.scale * scale, this.image.height * this.scale * scale);
			context2D.drawImage(this.pointer, this.pointerX * scale, this.pointerY * scale, this.pointer.width * this.scale * scale, this.pointer.height * this.scale * scale);
			context2D.drawImage(this.pupil, (this.pointerX + pupilOffset) * scale, (this.pointerY + pupilOffset) * scale, this.pupil.width * this.scale * scale, this.pupil.height * this.scale * scale);
		}
	},
	
	update : function(mx, my) {
		
		
	}
}