﻿var BasicButton = function(x, y, out, over) {

	this.x = x || 0;
	this.y = y || 0;
	
	this.imageOut = out;
	this.imageOver = over;
	
	this.width = 0;
	this.height = 0;
	
	this.visible = true;
	this.isOver = false;
	
	target = this;
}

BasicButton.prototype = {
	
	init : function() {
		
		
	},
	
	click : function(mx, my) {
		
		if (mx > this.getX() && mx < this.getX() + this.getWidth() && my > this.getY() && my < this.getY() + this.getHeight()) {
			
			return true;
		}
		
		return false;
	},
	
	onMouseOver : function() {
		
		
	},
	
	onMouseOut : function() {
		
		
	},
	
	getX : function() {
		
		return this.x * scale;
	},
	
	getY : function() {
		
		return this.y * scale;
	},
	
	getWidth : function() {
		
		return this.width * scale;
	},
	
	getHeight : function() {
		
		return this.height * scale;
	},
	
	update : function(mx, my) {
		
		if (!this.isOver) {
			
			this.width = this.imageOut.width;
			this.height = this.imageOut.height;
			
			// rolling over?
			if (mx > this.getX() && mx < this.getX() + this.getWidth() && my > this.getY() && my < this.getY() + this.getHeight()) {
				
				this.onMouseOver();
				this.isOver = true;
			}
		}
		else {
			
			this.width = this.imageOver.width;
			this.height = this.imageOver.height;
			
			// rolled out?
			if (mx < this.getX() || mx > this.getX() + this.getWidth() || my < this.getY() || my > this.getY() + this.getHeight()) {
			
				this.onMouseOut();
				this.isOver = false;
			}
		}
	},
	
	draw : function() {
		
		if (this.visible) {
			
			if (this.isOver) context2D.drawImage(this.imageOver, this.x * scale, this.y * scale, this.imageOver.width * scale, this.imageOver.height * scale);
			else context2D.drawImage(this.imageOut, this.x * scale, this.y * scale, this.imageOut.width * scale, this.imageOut.height * scale);
		}
	}
}