var Menu = function() {
	
	this.buttonPlay1 = new BasicButton(155, 384, images["assets/play1_out.png"], images["assets/play1_over.png"]);
	this.buttonPlay2 = new BasicButton(155, 458, images["assets/play2_out.png"], images["assets/play2_over.png"]);
	
	this.title = images["assets/title.png"];
	
	this.isReady = false;	
	target = this;
}

Menu.prototype = {
	
	init : function() {
		
	},
	
	click : function(mx, my) {
		
		if (this.buttonPlay1.click(mx, my)) {
			
			this.onPlay(1);
		}
		else if (this.buttonPlay2.click(mx, my)) {
			
			this.onPlay(2);
		}
	},
	
	draw : function() {
		
		this.drawImage(images["assets/menu_bg.png"], 0, 0);
		this.drawImage(this.title, 0, 230);
		
		this.buttonPlay1.draw();
		this.buttonPlay2.draw();
	},
	
	drawImage : function(img, x, y, w, h) {
		
		var width = w || img.width;
		var height = h || img.height;
		
		context2D.drawImage(img, x * scale, y * scale, ~~(width * scale) + 0.5, ~~(height * scale) + 0.5);
	},
	
	update : function(mx, my) {
		
		this.buttonPlay1.update(mx, my);
		this.buttonPlay2.update(mx, my);
	},
	
	onPlay : function(players) {
		
		startGame(players);
	},
	
	cleanUp : function() {
		
		this.buttonPlay1 = null;
		this.buttonPlay2 = null;
	}
}