﻿var Particle = function(asset) {
	
	this.image = asset;
	
	this.x = 0;
	this.y = 0;
	
	this.scale = 1;
	this.offsetX = this.image.width * -0.5;
	this.offsetY = this.image.height * -0.5;
	
	this.visible = false;
	
	this.life = 1;
	this.maxLife = 1;
	this.fade = 0;
	
	this.dx = 0;
	this.dy = 0;
	
	this.scaling = 1;
}

Particle.prototype = {
	
	init : function() {
		
		
	},
	
	setScale : function(s) {
		
		this.scale = s;
		
		this.offsetX = (this.image.width * this.scale) * -0.5;
		this.offsetY = (this.image.height * this.scale) * -0.5;
	},
	
	draw : function() {
		
		if (this.visible) {
		
			context2D.drawImage(this.image, (this.x + this.offsetX) * scale, (this.y + this.offsetY) * scale, this.image.width * this.scale * scale, this.image.height * this.scale * scale);
		}
	}
}