var Preloader = function(root, w, h) {
	
	this.root = root;
	
	this.width = w || 200; 
	this.height = h || 20;
	
	this.progress = 0;
	
	this.totalResources = 0;
	this.resourcesLoaded = 0;
	
	this.isReady = false;
	this.isComplete = false;
	
	target = this;
	
	this.bar = new Image();
	this.bar.onload = function() {
		
		target.isReady = true;
	}
	
	this.bar.src = "assets/grey_pixel.png";
};

Preloader.prototype = {
	
	draw : function() {
		
		this.drawImage(this.bar, (Constants.WIDTH / 2) - (this.width / 2), (Constants.HEIGHT / 2) - (this.height / 2), this.width * this.progress, this.height);
		//this.drawText("Loading", ((Constants.WIDTH / 2) - (this.width / 2)), ((Constants.HEIGHT / 2) - 20), "200% Arial", "#FFFFFF");
	},
	
	drawImage : function(img, x, y, w, h) {
		
		context2D.drawImage(img, x * this.root.scale, y * this.root.scale, w * this.root.scale, h * this.root.scale);
	},
	
	drawText : function(text, x, y, font, colour) {
		
		context2D.font = font || "200% Arial";
		context2D.fillStyle = colour || "#FFFFFF";
		
		context2D.fillText(text, x * this.root.scale, y * this.root.scale);
	},
	
	update : function(loaded, total) {
		
		this.resourcesLoaded = loaded;
		this.totalResources = total;
		
		this.progress = this.resourcesLoaded / this.totalResources;
		
		if (this.totalResources > 0 && this.progress == 1) {
			
			this.isComplete = true;
		}
	}
}