var Rock = function() {
	
	target = this;
	
	this.x = 0;
	this.y = 0;
	
	this.offsetX = 0;
	this.offsetY = 0;
	
	this.rotation = 0;
	this.scale = 1;
	this.radius = 0;
	
	this.image = images["assets/rock.png"];
	this.visible = false;
}

Rock.prototype = {
	
	init : function() {
		
		
	},
	
	getX : function() {
		
		return this.x + this.offsetX;
	},
	
	
	getY : function() {
		
		return this.y + this.offsetY;
	},
	
	setScale : function(s) {
		
		this.scale = s;
		
		this.offsetX = (this.image.width * this.scale) * -0.5;
		this.offsetY = this.offsetX;
		
		this.radius = -this.offsetX;
	},
	
	click : function(mx, my) {
		
		
	},
	
	draw : function() {
		
		if (this.visible) {
		
			context2D.drawImage(this.image, (this.x + this.offsetX) * scale, (this.y + this.offsetY) * scale, this.image.width * this.scale * scale, this.image.height * this.scale * scale);
		}
	},
	
	drawRotated : function(px, py, angle) { 
		
		context2D.save();
		
		context2D.translate(px, py);
		context2D.rotate(angle * Constants.TO_RADIANS);
		
		context2D.drawImage(this.image, px, py, this.image.width * this.scale * scale, this.image.height * this.scale * scale);
		
		context2D.restore(); 
	},
	
	update : function(mx, my) {
		
		
	}
}